Error: No se pueden ejecutar progtwigs comstackdos en C. si querías comstackr de forma cruzada usa –host ‘Ubuntu

Soy completamente nuevo en Ubuntu. He descargado y desempaquetado un paquete tar.gz, después de la extracción, se dice en su documentación: “escriba ./configure --disable-gts

Pero cuando ejecuto este comando solo, me dice el error “Permiso denegado”. Luego intenté usar sh ./configure --disable-gts lugar, pero esta vez me encontré con este error:

 > configure: error: cannot run C compiled programs. If you meant to cross compile, use `--host'. 

¿Cómo puedo superar estos dos problemas? (Me refiero al permiso y al error de comstackción) Soy solo un novato y necesito ayuda urgente.

El problema es casi seguro porque está intentando ejecutar el comando de configuración en una unidad externa que no admite permisos ejecutables de estilo Unix.

Aunque es posible montar algunas unidades que no sean Linux con permisos de ejecución, la solución más sencilla será copiar el archivo en algún lugar de su directorio de inicio real de Ubuntu e intentarlo de nuevo allí.

Si está intentando ahorrar espacio en el disco en su directorio de inicio, puede mantener el archivo tar.gz real en el disco externo.